### Name: FRBhotellingMM
### Title: Robust Hotelling test using the MM-estimator
### Aliases: FRBhotellingMM
### Keywords: htest multivariate robust

### ** Examples


## One sample robust Hotelling test
data(delivery)
delivery.x <- delivery[,1:2]
FRBhotellingMM(delivery.x)

## Two sample robust Hotelling test
data(hemophilia)
grp <-as.factor(hemophilia[,3])
x <- hemophilia[which(grp==levels(grp)[1]),1:2]
y <- hemophilia[which(grp==levels(grp)[2]),1:2]

#using the pooled covariance matrix to estimate the common covariance matrix
FRBhotellingMM(x,y,method="pool")

#using the estimator of He and Fung to estimate the common covariance matrix
FRBhotellingMM(x,y,method="HeFung")




