### Name: plot.FRBmultireg
### Title: Plot Method for Objects of class 'FRBmultireg'
### Aliases: plot.FRBmultireg plotDiag plotFRBconf


### ** Examples

data(schooldata)
school.x <- data.matrix(schooldata[,1:5])
school.y <- data.matrix(schooldata[,6:8])

Sres <- FRBmultiregS(school.x, school.y, R=999, bdp = 0.25, conf = 0.99)

plot(Sres)
# both types of plots are produced
# computing the robust distances takes some time

#if only interested in the confidence intervals, this is faster:
plot(Sres, which=2)
# or, equivalently,
plotFRBconf(Sres)
#the significant coefficients can be spotted as those with red plot title

#the plotFRBconf command above selected a subset, since otherwise an error may occur; 
#as may happen when you explicitely ask for all coefficients to be plotted on one page:
## Not run: 
##D plot(Sres, which=2, expl=1:6, resp=1:3)
## End(Not run)

#use separate pages for each response in case of many covariates: 
plot(Sres, which=2, onepage=FALSE)

#perhaps specify some specific variables of interest:
plot(Sres, which=2, expl=c("education", "occupation"), resp=c("selfesteem","reading"))
#or (the same):
plot(Sres, which=2, expl=2:3, resp=c(3,1))




